Bug 14230 - error in evaluation of pbeta (extreme tail)
error in evaluation of pbeta (extreme tail)
Status: RESOLVED FIXED
Product: R
Classification: Unclassified
Component: Accuracy
old
ix86 (32-bit) All
: P4 normal
Assigned To: Martin Maechler
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-15 20:58 UTC by Piotr Pokarowski
Modified: 2011-03-22 16:14 UTC (History)
2 users (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Piotr Pokarowski 2010-03-15 20:58:52 UTC
Dear R Development Core Team,

I would like to submit a bug in pbeta and, consequently, in  pf.
Please check:
curve(-pbeta(x,3,2044.5,lower.tail=F,log.p=T),.13,.82)

sessionInfo()
R version 2.9.2 (2009-08-24)
i486-pc-linux-gnu

Best regards,

Piotr Pokarowski, Ph. D.
Institute of Informatics,
University of Warsaw
Comment 1 Martin Maechler 2010-03-18 17:33:51 UTC
Thank you for the report (I see you did report this a year ago already);
I had started looking at it back then, and am looking at it further now.
It needs a slight change inside the  toms708 algo.  -- Martin Mächler
Comment 2 Martin Maechler 2010-03-19 11:22:28 UTC
resolved (for upcoming R 2.11.0) with svn revision 51327
Comment 3 Edouard Pauwels 2011-03-22 16:14:47 UTC
I think I had a similar error with higher parameter values:
curve(-pbeta(x,20,15000,lower.tail=F,log.p=T),.01,.30)

which produces:
In pbeta(q, shape1, shape2, lower.tail, log.p) : production de NaN

and a discontinuous curve

> sessionInfo()
R version 2.12.1 (2010-12-16)
Platform: x86_64-unknown-linux-gnu (64-bit)


Best
Edouard Pauwels